package models

import (
	"go-admin/common/models"
)

type OtAppDashboard struct {
	models.Model

	AppId        int64  `json:"appId" gorm:"type:bigint(20);comment:应用ID"`
	DashboardUid string `json:"dashboardUid" gorm:"type:varchar(64);comment:grafana dashboard uid"`
	models.ModelTime
	models.ControlBy
}

func (OtAppDashboard) TableName() string {
	return "ot_app_dashboard"
}

func (e *OtAppDashboard) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OtAppDashboard) GetId() interface{} {
	return e.Id
}
