package models

import (
	"go-admin/common/models"
)

type OtIfram struct {
	models.Model

	Desc    string `json:"desc" gorm:"type:varchar(256);comment:Desc"`
	Url     string `json:"url" gorm:"type:varchar(512);comment:iframe地址"`
	PageTag string `json:"pageTag" gorm:"type:varchar(64);comment:页面标识"`
	AppId   int64  `json:"appId" gorm:"type:int(11);comment:AppID"`
	Overall int64  `json:"overall" gorm:"type:int(11);comment:Overall"`
	models.ModelTime
	models.ControlBy
}

func (OtIfram) TableName() string {
	return "ot_iframe"
}

func (e *OtIfram) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OtIfram) GetId() interface{} {
	return e.Id
}
