package models

import (
	"go-admin/common/models"
)

type OtPlugins struct {
	models.Model

	Name   string `json:"name" gorm:"type:varchar(64);comment:插件名"`
	Alias  string `json:"alias" gorm:"type:varchar(64);comment:插件英文别名"`
	Url    string `json:"url" gorm:"type:varchar(512);comment:插件地址"`
	Config string `json:"config" gorm:"type:varchar(512);comment:配置json格式"`
	models.ModelTime
	models.ControlBy
}

func (OtPlugins) TableName() string {
	return "ot_plugins"
}

func (e *OtPlugins) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OtPlugins) GetId() interface{} {
	return e.Id
}
