package models

import (
	"time"
)

type DataServiceAppName struct {
	ID          int64     `gorm:"column:id;primaryKey;autoIncrement:true" json:"id"`
	CreateAt    time.Time `gorm:"column:create_at" json:"createAt"`
	ServiceName string    `gorm:"column:service_name;not null" json:"serviceName"`
	AppName     string    `gorm:"column:app_name;not null" json:"appName"`
}

func (d DataServiceAppName) TableName() string {
	return "data_service_appname"
}
