package router

import (
	"go-admin/app/observe/apis"
	"go-admin/common/middleware"

	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerUrlScopeTopoRouter)
	// routerNoCheckRole = append(routerNoCheckRole, registerUrlScopeTopoRouter)
}

func registerUrlScopeTopoRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.WeaveScope{}
	// r := v1.Group("/topology")
	r := v1.Group("/topology").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("/:app_alias", api.GetMenu)
	}
}
