package dto

import (
	"go-admin/app/observe/models"
)

type TotalStatsResp struct {
	AppAlias string `uri:"app_alias"`
	models.TimeRange
	models.WatchLive
}

type ApdexHandlerReq struct {
	Appalias string `uri:"app_alias"`
}

type ApdexUpdateReq struct {
	Appalias string `uri:"app_alias"`
	CsatA    string `json:"csat_a" comment:"满意样本"`
	CsatB    string `json:"csat_b" comment:"满意样本"`
	CsatC    string `json:"csat_c" comment:"满意样本"`
}
